# Uses of Interface
ch.qos.logback.core.html.IThrowableRenderer

Packages that use IThrowableRenderer
Package
Description
ch.qos.logback.classic.html
Contains classes to format log output in HTML.
ch.qos.logback.core.html
Contains the base classes needed to format logging events to HTML.

## Uses of IThrowableRenderer in ch.qos.logback.classic.html

Classes in ch.qos.logback.classic.html that implement IThrowableRenderer
Modifier and Type
Class
Description
`class`
`DefaultThrowableRenderer`
Methods in ch.qos.logback.classic.html that return IThrowableRenderer
Modifier and Type
Method
Description
`IThrowableRenderer`
HTMLLayout.`getThrowableRenderer()`
Methods in ch.qos.logback.classic.html with parameters of type IThrowableRenderer
Modifier and Type
Method
Description
`void`
HTMLLayout.`setThrowableRenderer(IThrowableRenderer<ILoggingEvent> throwableRenderer)`

## Uses of IThrowableRenderer in ch.qos.logback.core.html

Classes in ch.qos.logback.core.html that implement IThrowableRenderer
Modifier and Type
Class
Description
`class`
`NOPThrowableRenderer`